Skip to main content
`Ctrl`+`K`

# PetscDAEnsembleComputeNormalizedInnovationMatrix

Computes S = R^{-1/2}(Z - y_mean * 1’)/sqrt(m-1) [Alg 6.4 line 5]

## Synopsis

    PetscErrorCode PetscDAEnsembleComputeNormalizedInnovationMatrix(Mat Z, Vec y_mean, Vec r_inv_sqrt, PetscInt m, PetscScalar scale, Mat S)

Collective

## Input Parameters

- Z - observation ensemble matrix

- y_mean - mean of observations

- r_inv_sqrt - R^{-1/2}

- m - ensemble size

- scale - 1/sqrt(m-1)

## Output Parameter

- S - normalized innovation matrix

## See Also

PetscDA: Data Assimilation, `PetscDA`, `PETSCDAETKF`, `PETSCDALETKF`, `PetscDASetSizes()`, `PetscDAGetSizes()`

## Level

developer

## Location

src/ml/da/impls/ensemble/daensemble.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages